PHOTO-UPLOAD(1)

NAME
photo-upload - tool for uploading photos

SYNOPSIS

photo-upload [options] images

DESCRIPTION

This manual page explains the photo-upload program. This program is simple uploader of photos to minilab.

OPTIONS

    --version
        Show program's version number and exit.

    -h, --help
        Show help message and exit.

    --license
        Display program license.

    -s SERVICE_NAME, --service=SERVICE_NAME
        Name of service to use. Use photo-upload -l to list currently available services.

    -l, --list-services
        List available services.

    -b, --open-browser
        Open order in browser after uploading.

    -B, --use-browser
        Define browser to use when opening web page. Default is autodetected by python webbrowser. You can also specify any parameter to browser, the URL will be just appended to string you enter here and passed to shell.

    -d, --debug
        Show debugging output. This includes HTML files received from service.

    -S SESSION, --session=SESSION
        Existing session to reuse (some services won't work without existing session).

EXAMPLES

Uploading all photos from /folder to default service and opening web browser to finish order:

photo-upload -b /folder/*.jpg

Adding one image to existing session on ilikephoto.cz service:

photo-upload -s ilikephoto.cz -S f1721a19cc3c95218525a8429d48dab2 /tmp/Obraz024.jpg

Listing currently supported services:

photo-upload -l

Uploading photo and opening epiphany to finish order:

photo-upload -b -B epiphany image.jpg

FILES

  ~/.photo-upload

Configuration file where default options are read. This is standard ini like format file. You can use same values as long options, just specify them in [photo-upload] section. Some services might also use this config file, check their documentation for details. Example configuration file:

[photo-upload]

service = droxi.cz

Some services require additional configuration sections, eg. with login names:

[happyfoto.cz]
user = name
password = passphrase

Some services may require specifying registration code instead of the password:

[imageshack.us]
user = name
regcode = 575af6686afe6a0c1d

Imageshack also allows you to choose if the image is private or public, defaulting to private. To change that, specify public = yes under imageshack.us section.

LICENCE

This program is licensed under GNU/GPL version 2.

BUGS

There are definitely many bugs, reporting to author is welcome. Please include some useful information when sending bug reports (eg. exception you received and debug output). Please submit your reports to <http://bugs.cihar.com/>.

SEE ALSO

More information is available on program website: <http://cihar.com/software/photo-uploader/>.

AUTHOR
Michal Čihař <michal@cihar.com>

COPYRIGHT
2007 - 2010, Michal Čihař